Subject: Re: [PATCH v2 5/5] describe: Break annotated tag ties by tagger date

From: Junio C Hamano <[email-masked]>
Date: Tue, 13 Apr 2010 12:26:05 -0700

"Shawn O. Pearce" <[email-masked]> writes:

> Thomas Rast <[email-masked]> wrote:
>> Shawn O. Pearce wrote:
>> > If the tag is an older-style annotated tag with no tagger date,
>> > we assume a date stamp of 1 second after the UNIX epoch.
>> 
>> This patch doesn't seem to actually set this, but as a minor nit: the
>> '1 second' contradicts the 0 mentioned in the last patch.
>> 
>> (The effect is the same for all practical purposes.)
>
> Whoops.  Old commit message from v1.  I skim read it knowing I
> needed to adjust something in the message before reusing it, but
> didn't see anything, so sent it as-is.
>
> Junio, it might make sense to drop the part Thomas quoted above
> before you apply this.

Surely I can, but I am curious as to the motivation behind '1 second' in
the original patch.  If you wanted to give these '1 second' ones slight
preference over the ones with 'date stamp at the UNIX epoch', that logic
is not there anymore in the re-rolled series, no?